package com.ningdatech.carapi.irs.service;

/**
 * <p>
 * LicensePullService
 * </p>
 *
 * @author WendyYang
 * @since 2023/5/16
 **/
public interface PullLicenseByIrsService {

    /**
     * 是否正在获取
     *
     * @return /
     */
    boolean runningStatus();

    /**
     * 剩余待处理数量
     *
     * @return /
     */
    long getLeftCount();

    /**
     * 调用irs接口获取证件信息
     *
     * @param cardId 车牌号
     * @return /
     */
    String getLicenseDetail(String cardId);

    /**
     * 证件信息获取（设置执行状态）
     */
    void pullLicense();

    /**
     * 证件信息获取
     */
    void pullLicenseDetail();

    void initPullLicenseTask();

    void startPullLicenseTask(int delayMinutes);

}
